Page MenuHomePhabricator

Plan to disable Flow on Enwiki
Closed, ResolvedPublic

Description

The team has improved the Flow-to-wikitext conversion script:

  • All comment signatures now use the timestamp of the comment's creation, rather than that of its most recent edit
  • A commented edited only by its creator is not flagged as such, but the re-export will change its timestamp to the creation timestamp per the above
  • A comment created by A then edited by B and C is now signed "A [timestamp] (Edited by B, C)", whereas previously it was just signed "C [timestamp]" (with no mention of the original creator!)
  • If a topic title was edited by anyone other than the creator of the topic, "(Topic title edited by B, C)" will be added right below the header.
  • There's something similar in place for board descriptions.

The plan is to:

  • Overwrite [[Wikipedia talk:WikiProject Breakfast]] with the re-exported wikitext
  • Move [[Wikipedia talk:WikiProject Hampshire]] to [[Wikipedia talk:WikiProject Hampshire/Flow archive]] and edit/protect accordingly
  • Recreate [[Wikipedia talk:WikiProject Hampshire]] with the exported wikitext
  • Ditto #2 and #3 for [[Wikipedia talk:Flow/Developer test page]]
  • Check everything one last time
  • Delete the archived Flow boards
  • Check if this deleted all of the pages in the Topic namespace (there are 388 of them currently); if not, batch-delete them
  • Schedule the extension uninstall in a SWAT window

Explanation at https://en.wikipedia.org/wiki/Wikipedia_talk:Flow#Flow_removed_from_Enwiki_for_now

Event Timeline

Quiddity created this task.Oct 19 2016, 7:27 AM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptOct 19 2016, 7:27 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Why are we disabling flow on enwiki?

Scott added a subscriber: Scott.Oct 19 2016, 9:43 PM
Stryn added a subscriber: Stryn.Oct 24 2016, 6:26 PM

Change 319761 had a related patch set uploaded (by Catrope):
Disable Flow on enwiki

https://gerrit.wikimedia.org/r/319761

greg added a subscriber: greg.Nov 3 2016, 11:30 PM

Change 319761 merged by jenkins-bot:
Disable Flow on enwiki

https://gerrit.wikimedia.org/r/319761

Mentioned in SAL (#wikimedia-operations) [2016-11-04T00:48:20Z] <catrope@tin> Synchronized dblists/: Disable Flow on enwiki (T148611) (duration: 01m 04s)

Quiddity updated the task description. (Show Details)Nov 4 2016, 1:17 AM

Change 319772 had a related patch set uploaded (by Catrope):
Don't register flow-thank when Flow is not installed

https://gerrit.wikimedia.org/r/319772

Change 319773 had a related patch set uploaded (by Catrope):
Don't register flow-thank when Flow is not installed

https://gerrit.wikimedia.org/r/319773

Change 319773 merged by jenkins-bot:
Don't register flow-thank when Flow is not installed

https://gerrit.wikimedia.org/r/319773

Elitre awarded a token.Nov 4 2016, 9:25 AM
Scott added a comment.Nov 4 2016, 5:02 PM

Does this mean that T96301 has been resolved?

Change 319772 merged by jenkins-bot:
Don't register flow-thank when Flow is not installed

https://gerrit.wikimedia.org/r/319772

Is there anything left here? https://en.wikipedia.org/wiki/Special:Version shows no Flow.

Catrope closed this task as Resolved.Dec 13 2016, 6:14 PM
Catrope claimed this task.

Yeah, this was done on Nov 7, we forgot to close it.

Huh, wow. I guess we're taking the "you can't fire me, I quit!" approach with Flow. This task is another strong piece of evidence that Flow is dead. (Have the perfunctory protestations regarding Flow's demise finally stopped?)

He7d3r added a subscriber: He7d3r.Jan 24 2017, 7:09 PM